Bug 1025201 - Improper rendering for Word "र्गकि "
Improper rendering for Word "र्गकि "
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 04:49 EDT by snekore
Modified: 2013-11-10 02:37 EST (History)
8 users (show)

See Also:
Fixed In Version: libreoffice-4.1.3.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 00:37:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
First window shows glyph rendering in Libre Office & second one shows in gedit text editor (33.51 KB, image/png)
2013-10-31 04:49 EDT, snekore
no flags Details
"वर्गकिमी" is working properly with Libre Office 4.1.3.2 (2.91 KB, image/png)
2013-11-01 06:04 EDT, snekore
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 70968 None None None Never
FreeDesktop.org 71080 None None None Never

  None (edit)
Description snekore 2013-10-31 04:49:33 EDT
Created attachment 817760 [details]
First window shows glyph rendering in Libre Office & second one shows in gedit text editor

Description of problem:
first & second glyphs are merging together 

Version-Release number of selected component (if applicable):
Libre-Office 4.1.2.3

How reproducible:
everytime


Actual results:

The two glyphs are merging

Expected results:

The Glyphs should not merge or overlap.

Additional info:

The specified word is working properly with harfbuzz & windows .
& also the font family "Sakal Marathi" has the same issue regarding the above specified word.
Comment 1 Caolan McNamara 2013-10-31 07:00:02 EDT
Lets try Khaled's upstream fix for this
Comment 2 Pravin Satpute 2013-10-31 08:28:19 EDT
Thats really quick. Thanks Caolan :)
Will test and update this tomorrow.
Comment 3 Fedora Update System 2013-10-31 12:08:14 EDT
libreoffice-4.1.3.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-2.fc19
Comment 4 Fedora Update System 2013-10-31 23:52:16 EDT
Package libreoffice-4.1.3.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.3.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20412/libreoffice-4.1.3.2-2.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-01 04:45:34 EDT
libreoffice-4.1.3.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-2.fc20
Comment 6 snekore 2013-11-01 06:04:50 EDT
Created attachment 818213 [details]
"वर्गकिमी" is working properly with Libre Office 4.1.3.2

Thank you for fixing this bug . It will be very useful for glyph rendering .
Comment 7 Fedora Update System 2013-11-03 00:37:51 EDT
libreoffice-4.1.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-10 02:37:35 EST
libreoffice-4.1.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.